#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname	%(echo %{name} | cut -d '-' -f2-)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-IO-Socket-INET6
Version		:	2.72
Release		:	17.2.0.rel%{?dist}
Summary		:	Object interface for AF_INET/AF_INET6 domain sockets
Group		:	Development/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/IO::Socket::INET6

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	make-ca

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
IO::Socket::INET6 provides an object interface to creating
and using sockets in either AF_INET or AF_INET6 domains.
It is built upon the IO::Socket interface and inherits all
the methods defined by IO::Socket.
 
#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README
%{_datadir}/perl5/core_perl/IO/Socket/INET6.pm
%{_mandir}/man3/IO::Socket::INET6.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

PERL_MM_USE_DEFAULT=1					\
	perl					\
	Makefile.PL					\
	INSTALLDIRS=perl				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}						\
	PERL_INSTALL_ROOT=%{buildroot}			\
	install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
#chmod -R u+w %{buildroot}/*

#-----------------------------------------------------------------------------
%changelog
